package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 设备对象 bus_device
 * 
 * @author ruoyi
 * @date 2022-06-10
 */
public class BusDevice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 设备编号 */
    @Excel(name = "设备编号")
    private String deviceId;

    /** 设备区域 */
    @Excel(name = "设备区域")
    private String area;

    /** 床位号 */
    @Excel(name = "床位号")
    private String bed;

    /** 品牌名称 */
    @Excel(name = "品牌名称")
    private String brandName;

    /** 型号 */
    @Excel(name = "型号")
    private String model;

    /** 出厂编码 */
    @Excel(name = "出厂编码")
    private String manufactureId;

    /** 价格 */
    @Excel(name = "价格")
    private String price;

    /** 保修期 */
    @Excel(name = "保修期")
    private String warranty;

    /** 是否启用,0检修中，1使用中 */
    @Excel(name = "是否启用,0检修中，1使用中")
    private Boolean enable;

    /** 设备状态，0未激活，1在线，2离线 */
    @Excel(name = "设备状态，0未激活，1在线，2离线")
    private Integer status;

    /** 删除标志（0代表存在 1代表删除） */
    @Excel(name = "删除标志", readConverterExp = "0=代表存在,1=代表删除")
    private Boolean isDelete;

    /** 感染标志，0无，1甲肝，2乙肝，3丙肝，4艾滋，5肺结核，6其他 */
    @Excel(name = "感染标志，0无，1甲肝，2乙肝，3丙肝，4艾滋，5肺结核，6其他")
    private Integer infection;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDeviceId(String deviceId) 
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId() 
    {
        return deviceId;
    }
    public void setArea(String area) 
    {
        this.area = area;
    }

    public String getArea() 
    {
        return area;
    }
    public void setBed(String bed) 
    {
        this.bed = bed;
    }

    public String getBed() 
    {
        return bed;
    }
    public void setBrandName(String brandName) 
    {
        this.brandName = brandName;
    }

    public String getBrandName() 
    {
        return brandName;
    }
    public void setModel(String model) 
    {
        this.model = model;
    }

    public String getModel() 
    {
        return model;
    }
    public void setManufactureId(String manufactureId) 
    {
        this.manufactureId = manufactureId;
    }

    public String getManufactureId() 
    {
        return manufactureId;
    }
    public void setPrice(String price) 
    {
        this.price = price;
    }

    public String getPrice() 
    {
        return price;
    }
    public void setWarranty(String warranty) 
    {
        this.warranty = warranty;
    }

    public String getWarranty() 
    {
        return warranty;
    }
    public void setEnable(Boolean enable) 
    {
        this.enable = enable;
    }

    public Boolean getEnable() 
    {
        return enable;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setIsDelete(Boolean isDelete) 
    {
        this.isDelete = isDelete;
    }

    public Boolean getIsDelete() 
    {
        return isDelete;
    }
    public void setInfection(Integer infection) 
    {
        this.infection = infection;
    }

    public Integer getInfection() 
    {
        return infection;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deviceId", getDeviceId())
            .append("area", getArea())
            .append("bed", getBed())
            .append("brandName", getBrandName())
            .append("model", getModel())
            .append("manufactureId", getManufactureId())
            .append("createTime", getCreateTime())
            .append("price", getPrice())
            .append("warranty", getWarranty())
            .append("updateTime", getUpdateTime())
            .append("enable", getEnable())
            .append("status", getStatus())
            .append("isDelete", getIsDelete())
            .append("infection", getInfection())
            .toString();
    }
}
